Subject: Re: [RFC PATCH V3 08/11] swiotlb: Add bounce buffer remap address setting function

From: Christoph Hellwig <[email-masked]>
Date: Mon, 14 Jun 2021 17:32:52 +0200

On Mon, Jun 14, 2021 at 02:49:51PM +0100, Robin Murphy wrote:
> FWIW, I think a better generalisation for this would be allowing 
> set_memory_decrypted() to return an address rather than implicitly 
> operating in-place, and hide all the various hypervisor hooks behind that.

Yes, something like that would be a good idea.  As-is
set_memory_decrypted is a pretty horribly API anyway due to passing
the address as void, and taking a size parameter while it works in units
of pages.  So I'd very much welcome a major overhaul of this API.